> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/instance/describezoneinstanceconfiginfos.md).

# DescribeZoneInstanceConfigInfos

## 1. 接口描述

本接口(DescribeZoneInstanceConfigInfos)用于查询可用区售卖的机型信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称         | 必选 | 类型     | 描述                                       |
| ------------ | -- | ------ | ---------------------------------------- |
| zoneId       | 否  | String | <p>要查询的可用区ID。</p><p>例如：asia-east-1a。</p> |
| instanceType | 否  | String | <p>要查询的实例规格。</p><p>例如：z2a.cpu.1。</p>     |

## 3. 响应结果

| 参数名称                 | 类型                                                                                                     | 描述                                                       |
| -------------------- | ------------------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId            | String                                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| instanceTypeQuotaSet | Array of [InstanceTypeQuotaItem](/api-reference/cn/compute/zec/datastructure.md#instancetypequotaitem) | 实例规格信息。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取规格为z2a.cpu.4的可用配置。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZoneInstanceConfigInfos
<Common Request Params>

Request：
{
  "instanceType":"z2a.cpu.4"
}

Response:
{
    "requestId": "T10BE39E5-154F-4961-A343-3321834B3DA4",
    "response": {
        "requestId": "T10BE39E5-154F-4961-A343-3321834B3DA4",
        "instanceTypeQuotaSet": [
            {
                "zoneId": "europe-central-1a",
                "instanceType": "z2a.cpu.4",
                "cpuCount": 4,
                "memory": 8,
                "bps": 4000000000,
                "pps": 400000,
                "withStock": true,
                "internetMaxBandwidthOutLimit": 10000,
                "instanceTypeName": "z2a.cpu.4",
                "internetChargeTypes": [
                    "ByTrafficPackage",
                    "ByBandwidth",
                    "BandwidthCluster"
                ]
            },
            {
                "zoneId": "asia-southeast-1a",
                "instanceType": "z2a.cpu.4",
                "cpuCount": 4,
                "memory": 8,
                "bps": 4000000000,
                "pps": 400000,
                "withStock": true,
                "internetMaxBandwidthOutLimit": 10000,
                "instanceTypeName": "z2a.cpu.4",
                "internetChargeTypes": [
                    "ByTrafficPackage",
                    "ByBandwidth",
                    "BandwidthCluster"
                ]
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                     | 说明         |
| ------- | --------------------------------------- | ---------- |
| 400     | INVALID\_INSTANCE\_TYPE\_ZONE\_NO\_SELL | 规格未开售或不存在。 |
| 400     | INVALID\_ZONE\_NOT\_ON\_SALE            | 指定的可用区未开售。 |
